%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A picture viewer for the Xfce desktop environment
Name:		ristretto
Version:	0.8.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics/Viewers
URL:		http://goodies.xfce.org/projects/applications/ristretto
Source0:	http://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
#BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.8.0
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:	pkgconfig(exo-1)
Requires:	hicolor-icon-theme
Requires:	xfconf
Requires:	tumbler

%description
Ristretto is a fast and lightweight picture-viewer for the
Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
#xdt_autogen
%configure2_5x
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/ristretto.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog
* Wed Feb 01 2017 wally <wally> 0.8.2-1.mga6
+ Revision: 1084484
- new version 0.8.2

* Fri Oct 07 2016 wally <wally> 0.8.1-1.mga6
+ Revision: 1059340
- new version 0.8.1
- drop upstreamed patches

* Tue Feb 09 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 952432
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 0.8.0-1.mga5
+ Revision: 817408
- new version 0.8.0
- add patches from upstream git to fix appdata file validation (xfce#11622) and icon installation path (xfce#11614)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.3-6.mga5
+ Revision: 742662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.3-5.mga5
+ Revision: 688676
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 wally <wally> 0.6.3-4.mga5
+ Revision: 585382
- require hicolor-icon-theme

* Fri Oct 18 2013 umeabot <umeabot> 0.6.3-3.mga4
+ Revision: 521791
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 0.6.3-2.mga3
+ Revision: 391902
- update rpm group
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 wally <wally> 0.6.3-1.mga3
+ Revision: 279194
- new version 0.6.3

* Tue Jul 31 2012 shlomif <shlomif> 0.6.2-1.mga3
+ Revision: 276758
- New version 0.6.2 - thanks to fedya

* Thu May 31 2012 wally <wally> 0.6.0-2.mga3
+ Revision: 252507
- fix segfault when image-quality property is changed (patch from upstream git)

* Mon May 28 2012 wally <wally> 0.6.0-1.mga3
+ Revision: 248513
- new version 0.6.0
- clean .spec

* Sun Mar 04 2012 wally <wally> 0.3.5-2.mga2
+ Revision: 217863
- require tumbler to get working thumbnails view

* Sat Mar 03 2012 wally <wally> 0.3.5-1.mga2
+ Revision: 217355
- new version 0.3.5

* Sat Mar 03 2012 fwang <fwang> 0.3.4-1.mga2
+ Revision: 217168
- new version 0.3.4

* Sat Jan 14 2012 wally <wally> 0.3.1-1.mga2
+ Revision: 196000
- new version 0.3.1

* Sun Nov 06 2011 wally <wally> 0.3.0-1.mga2
+ Revision: 164487
- new version 0.3.0
- clean BRs and use pkgconfig() if possible
- remove buildroot definition

* Wed Jul 06 2011 dams <dams> 0.0.93-1.mga2
+ Revision: 119412
- Update to 0.0.93

* Wed Mar 16 2011 steletch <steletch> 0.0.91-3.mga1
+ Revision: 72845
- Clean spec file

  + ennael <ennael>
    - imported package ristretto

